For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate a return.
      • GETGet Return Orders
      • GETGet Return Order
      • PUTModify Return Order
      • POSTCancel Return Order
    • OpenAPI spec
LogoLogo
API ReferenceReturns

Create a return.

||View as Markdown|
POST
/2025-07/return
POST
/2025-07/return
$curl -X POST https://api.shipbob.com/2025-07/return \
> -H "shipbob_channel_id: shipbob_channel_id" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "fulfillment_center": {
> "id": 0,
> "name": "string"
> },
> "inventory": [
> {
> "id": 0,
> "lot_date": "2019-08-24T14:15:22Z",
> "lot_number": "string",
> "quantity": 0,
> "requested_action": 0
> }
> ],
> "original_shipment_id": 0,
> "reference_id": "string",
> "tracking_number": "string"
>}'
1{
2 "channel": {
3 "id": 0,
4 "name": "string"
5 },
6 "completed_date": "2019-08-24T14:15:22Z",
7 "customer_name": "string",
8 "fulfillment_center": {
9 "id": 0,
10 "name": "string"
11 },
12 "id": 0,
13 "insert_date": "2019-08-24T14:15:22Z",
14 "inventory": [
15 {
16 "action_requested": {
17 "action": "string",
18 "action_type": "string",
19 "instructions": "string"
20 },
21 "action_taken": [
22 {
23 "action": "string",
24 "action_reason": "string",
25 "image_url": "http://example.com",
26 "quantity_processed": 0
27 }
28 ],
29 "id": 0,
30 "name": "string",
31 "quantity": 0
32 }
33 ],
34 "invoice_amount": 0.1,
35 "original_shipment_id": 0,
36 "reference_id": "string",
37 "return_type": "string",
38 "status": "string",
39 "store_order_id": "string",
40 "tracking_number": "string",
41 "transactions": [
42 {
43 "amount": 0.1,
44 "transaction_type": "string"
45 }
46 ]
47}
Was this page helpful?
Previous

Get Inventory Distributions by WRO Id

Next

Get Return Orders

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idstringRequiredformat: "int32"
Channel Id for operation
creationSourceIdintegerOptional

Request

The return order creation request containing return details, items, and configuration.
fulfillment_centerobjectOptional
inventorylist of objects or nullOptional
original_shipment_idinteger or nullOptional
reference_idstring or nullOptional
tracking_numberstring or nullOptional

Response

Success
channelobject
completed_datedatetime or null
customer_namestring or null
fulfillment_centerobject
idinteger
insert_datedatetime
inventorylist of objects or null
invoice_amountdouble or null
original_shipment_idinteger or null
reference_idstring or null
return_typestring or null
statusstring or null
store_order_idstring or null
tracking_numberstring or null
transactionslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error